package org.micord.models.requests;

import jakarta.xml.bind.annotation.XmlElement;
import lombok.Setter;

@Setter
public class S3ConnectionParams {

	private String s3Key;
	private String s3Secret;
	private String protocol;
	private String host;
	private String port;
	private String contentType;
	private String method;
	private String body;

	@XmlElement(name = "S3Key")
	public String getS3Key() {
		return s3Key;
	}

	@XmlElement(name = "S3Secret")
	public String getS3Secret() {
		return s3Secret;
	}

	@XmlElement(name = "Protocol")
	public String getProtocol() {
		return protocol;
	}

	@XmlElement(name = "Host")
	public String getHost() {
		return host;
	}

	@XmlElement(name = "Port")
	public String getPort() {
		return port;
	}

	@XmlElement(name = "ContentType")
	public String getContentType() {
		return contentType;
	}

	@XmlElement(name = "Method")
	public String getMethod() {
		return method;
	}

	@XmlElement(name = "Body")
	public String getBody() {
		return body;
	}

}
